> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a stage to a pipeline



## OpenAPI

````yaml /generated/specs/sales.json post /api/v1/pipelines/{id}/stages
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/pipelines/{id}/stages:
    post:
      tags:
        - pipelines
      summary: Add a stage to a pipeline
      operationId: PipelineController_createStage
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCampaignPipelineStageDto'
      responses:
        '201':
          description: Stage created
        '403':
          description: Requiere rol admin
        '404':
          description: Pipeline not found
components:
  schemas:
    CreateCampaignPipelineStageDto:
      type: object
      properties:
        is_won:
          type: boolean
          example: false
        is_lost:
          type: boolean
          example: false
        name:
          type: string
          example: Propuesta Enviada
        color:
          type: string
          example: '#8B5CF6'
        order:
          type: number
          example: 3
      required:
        - name

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.